Bug 1447551 - qemu hang when do block_resize guest disk during crystal running
Summary: qemu hang when do block_resize guest disk during crystal running
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: John Snow
QA Contact: CongLi
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-03 07:40 UTC by lijin
Modified: 2017-08-02 04:38 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:38:29 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description lijin 2017-05-03 07:40:09 UTC
Description of problem:


Version-Release number of selected component (if applicable):
qemu-kvm-rhev-10:2.9.0-2.el7
kernel-3.10.0-661.el7.x86_64
virtio-win-1.9.0-3.el7.noarch&virtio-win-prewhql-136
seabios-1.10.2-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot guest with virtio-blk-pci device:
/usr/libexec/qemu-kvm \
  -M pc \
  -cpu host \
  -enable-kvm \
  -m 2G \
  -smp 2 \
  -nodefconfig \
  -rtc base=localtime,driftfix=slew \
  -drive file=virtio-win-prewhql-136.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw \
  -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
  -object iothread,id=thread0 \
  -drive file=win8-32-iso.raw,if=none,serial=virtioblk1,format=raw,cache=none,werror=stop,rerror=stop,id=drive-virtio-disk0,aio=native \
  -device virtio-blk-pci,scsi=off,iothread=thread0,drive=drive-virtio-disk0,id=virtio-disk0,logical_block_size=512,physical_block_size=4096 \
  -netdev tap,downscript=/etc/qemu-ifdown,script=/etc/qemu-ifup,id=hostnet0 \
  -device e1000,netdev=hostnet0,id=net0,mac=00:52:54:46:f0:ee \
  -device piix3-usb-uhci,id=usb \
  -device usb-tablet,id=tablet0 \
  -vnc 0.0.0.0:0 \
  -k en-us \
  -vga std \
  -qmp tcp:0:4444,server,nowait \
  -cdrom en_windows_8_enterprise_x86_dvd_917587.iso \
  -boot menu=on \
  -monitor stdio \
  -fda virtio-win-prewhql-136.vfd \

2.run CrystalDiskMark on system disk

3.during crystal running,enlarge system disk:
(qemu) block_resize drive-virtio-disk0 65G


Actual results:
qemu hang 

Expected results:
disk can be enlarged correctly,qemu should not hang

Additional info:
1.can reproduce with qemu-kvm-rhev-2.8.0-6.el7.x86_64.rpm
2.can NOT reproduce with rhel7.3 released version:qemu-kvm-rhev-2.6.0-27.el7.x86_64.rpm

Comment 2 lijin 2017-05-03 08:40:39 UTC
try with data disk,hit the same issue,so change the title

Comment 4 John Snow 2017-05-10 15:27:40 UTC
Reproduced upstream at dd1559bb267becbb838de41132ef60771d183e5d

Comment 5 John Snow 2017-05-10 17:51:47 UTC
Fix posted upstream:
https://lists.nongnu.org/archive/html/qemu-devel/2017-05/msg02495.html

Comment 6 Miroslav Rezanina 2017-05-23 08:15:02 UTC
Fix included in qemu-kvm-rhev-2.9.0-6.el7

Comment 8 CongLi 2017-05-24 02:56:58 UTC
Steps are same as comment 0.

1. Reproduced this bug on qemu-kvm-rhev-2.9.0-2.el7.x86_64, qemu hang when do 'block_resize'.
(qemu) block_resize drive-virtio-disk0 65g   (kill the qemu process as it hang)
crystal.sh: line 22:  9165 Killed

2. Verified this issue on qemu-kvm-rhev-2.9.0-6.el7.x86_64, qemu and guest work well.
(qemu) block_resize drive-virtio-disk0 65g
(qemu) 
(qemu) 
(qemu) 
(qemu) info status
VM status: running


Thanks.

Comment 10 errata-xmlrpc 2017-08-02 04:38:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.